# Scripting metadata

Metadata item starts with a //@. Example:&#x20;

{% hint style="info" %}
This is optional and not required, as there are default values.
{% endhint %}

```javascript
//@ author Codera
//@ version 1.0
//@ description A script for testing the API. Includes a test module and a test command.
//@ noSecurity /* Disabling the security mesaures,     */
               /* script might not load due to         */
               /* Unsafe Script support being disabled */
```

<table><thead><tr><th width="134">Key</th><th width="164">Type</th><th width="297">Description</th><th width="154">Default value</th></tr></thead><tbody><tr><td>author</td><td>String</td><td>The script author, will be displayed in the GUI.</td><td>Unknown author</td></tr><tr><td>version</td><td>String</td><td>Version of the script.</td><td>Unknown version</td></tr><tr><td>description</td><td>String</td><td>Description of what the script does.</td><td>No description provided</td></tr><tr><td>noSecurity</td><td>No value passed</td><td>Allows you to call unsafe functions. <strong>You need to disable Security Measures in the client first, before loading the script, or it will not be loaded.</strong></td><td><code>false</code></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/scripting-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
